QGIS Application - Bug report #16920
SAGA Cluster Analysis : AttributeError: 'module’ object has no attribute 'TYPE_RASTER'
2017-07-23 03:20 PM - Odysseas VI

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: Processing/SAGA

Affected QGIS version:2.18.10 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 24819
Description

An error has occurred while executing Python code:

AttributeError: 'module’ object has no attribute 'TYPE_RASTER'
Traceback (most recent call last):
File "C:/PROGRA~1/QGI1S2~1.18/apps/qgis/./python/plugins\processing\gui\AlgorithmDialog.py", line 249, in accept
msg = self.alg._checkParameterValuesBeforeExecuting()
File "C:/PROGRA~1/QGI1S2~1.18/apps/qgis/./python/plugins\processing\core\GeoAlgorithm.py", line 239, in
_checkParameterValuesBeforeExecuting
return self.checkParameterValuesBeforeExecuting()
File "C:/PROGRA~1/QGIS2~1.18/apps/qgis/./python/plugins\processing\algs\saga\SagaAlgorithm.py", line 343, in
checkParameterValuesBeforeExecuting
param.datatype == dataobjects. TYPE_RASTER):
AttributeError: 'module’ object has no attribute ' TYPE_RASTER'

History

#1 - 2017-07-24 03:54 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Assignee changed from Victor Olaya to Giovanni Manghi
- Status changed from Open to Closed

Fixed here https://github.com/qgis/QGIS/pull/4915

#2 - 2017-07-28 08:14 AM - Mario Reyes

Giovanni Manghi wrote:

Fixed here https.//github.com/qgis/QGIS/pull/4915

The problem remains in QGIS 2.18.11 using Windows 10 32 bits. | tried to apply manually the changes and didn't work.

#3 - 2017-07-28 09:54 AM - Giovanni Manghi

Mario Reyes wrote:
Giovanni Manghi wrote:

Fixed here https.//github.com/qqis/QGIS/pull/4915

The problem remains in QGIS 2.18.11 using Windows 10 32 bits. | tried to apply manually the changes and didn't work.

there are other fixes needed for this to work that did not made the cut for 2.18.11
